.frame {
  position: absolute;
  top: 50%;
  left: 50%;
  height: 400px;
  width: 400px;
  margin-top: -200px;
  margin-left: -200px;
  border-radius: 2px;
  -webkit-box-shadow: 1px 2px 10px 0px rgba(0, 0, 0, 0.3);
          box-shadow: 1px 2px 10px 0px rgba(0, 0, 0, 0.3);
  background: #00ACC1;
}

.center {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
}

.menu-icon {
  height: 52px;
  width: 80px;
  cursor: pointer;
  z-index: 50;
}
.menu-icon .line-1, .menu-icon .line-2, .menu-icon .line-3 {
  height: 8px;
  width: 100%;
  background-color: #29434E;
  border-radius: 3px;
  -webkit-box-shadow: 0 2px 10px 0 rgba(0, 0, 0, 0.3);
          box-shadow: 0 2px 10px 0 rgba(0, 0, 0, 0.3);
  -webkit-transition: background-color 0.2s ease-in-out;
  transition: background-color 0.2s ease-in-out;
}
.menu-icon .line-1 {
  -webkit-animation: animate-1-rev 0.7s ease-in-out;
          animation: animate-1-rev 0.7s ease-in-out;
}
.menu-icon .line-2 {
  margin: 14px 0;
  -webkit-animation: animate-2-rev 0.7s ease-in-out;
          animation: animate-2-rev 0.7s ease-in-out;
}
.menu-icon .line-3 {
  -webkit-animation: animate-3-rev 0.7s ease-in-out;
          animation: animate-3-rev 0.7s ease-in-out;
}
.menu-icon:hover .line-1, .menu-icon:hover .line-2, .menu-icon:hover .line-3 {
  background-color: #37474F;
}
.menu-icon.active .line-1, .menu-icon.active .line-2, .menu-icon.active .line-3 {
  background-color: #ECEFF1;
}
.menu-icon.active .line-1 {
  -webkit-animation: animate-1 0.7s cubic-bezier(0.3, 1, 0.7, 1) forwards;
          animation: animate-1 0.7s cubic-bezier(0.3, 1, 0.7, 1) forwards;
}
.menu-icon.active .line-2 {
  -webkit-animation: animate-2 0.7s cubic-bezier(0.3, 1, 0.7, 1) forwards;
          animation: animate-2 0.7s cubic-bezier(0.3, 1, 0.7, 1) forwards;
}
.menu-icon.active .line-3 {
  -webkit-animation: animate-3 0.7s cubic-bezier(0.3, 1, 0.7, 1) forwards;
          animation: animate-3 0.7s cubic-bezier(0.3, 1, 0.7, 1) forwards;
}

.no-animation {
  -webkit-animation: none !important;
          animation: none !important;
}

@-webkit-keyframes animate-1 {
  0% {
    -webkit-transform: translate3d(0, 0, 0) rotate(0deg);
            transform: translate3d(0, 0, 0) rotate(0deg);
  }
  50% {
    -webkit-transform: translate3d(0, 22px, 0) rotate(0);
            transform: translate3d(0, 22px, 0) rotate(0);
  }
  100% {
    -webkit-transform: translate3d(0, 22px, 0) rotate(45deg);
            transform: translate3d(0, 22px, 0) rotate(45deg);
  }
}
@keyframes animate-1 {
  0% {
    -webkit-transform: translate3d(0, 0, 0) rotate(0deg);
            transform: translate3d(0, 0, 0) rotate(0deg);
  }
  50% {
    -webkit-transform: translate3d(0, 22px, 0) rotate(0);
            transform: translate3d(0, 22px, 0) rotate(0);
  }
  100% {
    -webkit-transform: translate3d(0, 22px, 0) rotate(45deg);
            transform: translate3d(0, 22px, 0) rotate(45deg);
  }
}
@-webkit-keyframes animate-2 {
  0% {
    -webkit-transform: scale(1);
            transform: scale(1);
    opacity: 1;
  }
  100% {
    -webkit-transform: scale(0);
            transform: scale(0);
    opacity: 0;
  }
}
@keyframes animate-2 {
  0% {
    -webkit-transform: scale(1);
            transform: scale(1);
    opacity: 1;
  }
  100% {
    -webkit-transform: scale(0);
            transform: scale(0);
    opacity: 0;
  }
}
@-webkit-keyframes animate-3 {
  0% {
    -webkit-transform: translate3d(0, 0, 0) rotate(0deg);
            transform: translate3d(0, 0, 0) rotate(0deg);
  }
  50% {
    -webkit-transform: translate3d(0, -22px, 0) rotate(0);
            transform: translate3d(0, -22px, 0) rotate(0);
  }
  100% {
    -webkit-transform: translate3d(0, -22px, 0) rotate(135deg);
            transform: translate3d(0, -22px, 0) rotate(135deg);
  }
}
@keyframes animate-3 {
  0% {
    -webkit-transform: translate3d(0, 0, 0) rotate(0deg);
            transform: translate3d(0, 0, 0) rotate(0deg);
  }
  50% {
    -webkit-transform: translate3d(0, -22px, 0) rotate(0);
            transform: translate3d(0, -22px, 0) rotate(0);
  }
  100% {
    -webkit-transform: translate3d(0, -22px, 0) rotate(135deg);
            transform: translate3d(0, -22px, 0) rotate(135deg);
  }
}
@-webkit-keyframes animate-1-rev {
  0% {
    -webkit-transform: translate3d(0, 22px, 0) rotate(45deg);
            transform: translate3d(0, 22px, 0) rotate(45deg);
  }
  50% {
    -webkit-transform: translate3d(0, 22px, 0) rotate(0);
            transform: translate3d(0, 22px, 0) rotate(0);
  }
  100% {
    -webkit-transform: translate3d(0, 0, 0) rotate(0deg);
            transform: translate3d(0, 0, 0) rotate(0deg);
  }
}
@keyframes animate-1-rev {
  0% {
    -webkit-transform: translate3d(0, 22px, 0) rotate(45deg);
            transform: translate3d(0, 22px, 0) rotate(45deg);
  }
  50% {
    -webkit-transform: translate3d(0, 22px, 0) rotate(0);
            transform: translate3d(0, 22px, 0) rotate(0);
  }
  100% {
    -webkit-transform: translate3d(0, 0, 0) rotate(0deg);
            transform: translate3d(0, 0, 0) rotate(0deg);
  }
}
@-webkit-keyframes animate-2-rev {
  0% {
    -webkit-transform: scale(0);
            transform: scale(0);
    opacity: 0;
  }
  100% {
    -webkit-transform: scale(1);
            transform: scale(1);
    opacity: 1;
  }
}
@keyframes animate-2-rev {
  0% {
    -webkit-transform: scale(0);
            transform: scale(0);
    opacity: 0;
  }
  100% {
    -webkit-transform: scale(1);
            transform: scale(1);
    opacity: 1;
  }
}
@-webkit-keyframes animate-3-rev {
  0% {
    -webkit-transform: translate3d(0, -22px, 0) rotate(135deg);
            transform: translate3d(0, -22px, 0) rotate(135deg);
  }
  50% {
    -webkit-transform: translate3d(0, -22px, 0) rotate(0);
            transform: translate3d(0, -22px, 0) rotate(0);
  }
  100% {
    -webkit-transform: translate3d(0, 0, 0) rotate(0deg);
            transform: translate3d(0, 0, 0) rotate(0deg);
  }
}
@keyframes animate-3-rev {
  0% {
    -webkit-transform: translate3d(0, -22px, 0) rotate(135deg);
            transform: translate3d(0, -22px, 0) rotate(135deg);
  }
  50% {
    -webkit-transform: translate3d(0, -22px, 0) rotate(0);
            transform: translate3d(0, -22px, 0) rotate(0);
  }
  100% {
    -webkit-transform: translate3d(0, 0, 0) rotate(0deg);
            transform: translate3d(0, 0, 0) rotate(0deg);
  }
}
